#
# spec file for package deepin-shortcut-viewer
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           deepin-shortcut-viewer
Version:        5.0.7
Release:        1.3
Summary:        Deepin Shortcut Viewer
License:        GPL-3.0-or-later
URL:            https://github.com/linuxdeepin/deepin-shortcut-viewer
Source0:        https://github.com/linuxdeepin/deepin-shortcut-viewer/archive/%{version}/%{name}-%{version}.tar.gz
Group:          Productivity/Graphics/Viewers
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(dtkwidget)
Provides:       bundled(CuteLogger)
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The program displays a shortcut key window when a JSON data is passed.

%prep
%autosetup -p1

%build
%qmake5 PREFIX=%{_prefix}
make %{?_smp_mflags}

%install
%qmake5_install

%files
%defattr(-,root,root,-)
%doc README.md LICENSE
%{_bindir}/%{name}

%changelog
* Tue Nov 14 2023 Hillwood Yang <hillwood@opensuse.org>
- Update version to 5.0.7
  * fix: Display problem of shortcut-viewer
* Sun Aug 28 2022 Hillwood Yang <hillwood@opensuse.org>
- Update version to 5.0.6
  * Fix bugs
* Wed Feb 24 2021 Hillwood Yang <hillwood@opensuse.org>
- Update version to 5.0.3
  * refactor: use libdtkwidget5
  * Fix bugs
* Mon Mar 25 2019 Hillwood Yang <hillwood@opensuse.org>
- Update version to 1.3.5
  * Fix register log after app settings
* Thu Mar  1 2018 hillwood@opensuse.org
- Update version to 1.3.4
  * Fix typo in commandline help information.
  * Adapt lintian
* Fri Dec  1 2017 hillwood@opensuse.org
- Update to 1.3.3
  * Refactor: remove cutelogger and use DLog
* Mon Nov  6 2017 hillwood@opensuse.org
- Cleanup spec
  * Add Group tag.
* Tue Oct  3 2017 sensor.wen@gmail.com
- Initial package.
